bzimport added projects: Math, Tracking.Via ConduitNov 22 2014, 3:04 AM
bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz60997.
Reedy created this task.Via LegacyFeb 6 2014, 9:45 PM
Aklapper added a comment.Via ConduitFeb 7 2014, 6:24 PM
  • Bug 61041 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitFeb 8 2014, 10:44 PM

physik wrote:

The patch Sam Reed points to (https://gerrit.wikimedia.org/r/#/c/104991/) seems to produce a high load. Aaron analyzed that via https://graphite.wikimedia.org/render/?width=849&height=455&_salt=1391893417.452&target=MediaWiki.MathHooks.mathTagHook.tavg&from=-7days
This load is caused by design. See https://bugzilla.wikimedia.org/show_bug.cgi?id=49169
If the high load is problematic, we need to disable the feature (like $wgMathCheckFiles=false before) again via ($wgMathDisableTexFilter = true) or cache the results of the check. However, this would cause a database lookup. An alternative would be to check via PHP. For a checking via PHP code we would need a very good code review of https://github.com/physikerwelt/texvcCheckPhp. I guess that would require a few days of fulltime work (even for an experienced) PHP programmer.
In general I have the feeling that my goal to improve the math rendering in Wikipedia has more negative effects than positive effects for the users. I don't think the problem is that I did a bad job, but I have the impression that I did not manage to find a suitable code reviewer for the Math2.0 change. And breaking down the change to several small commits (that are merged by random choice) creates more problems than it solves. I think the only way to do a good job and create a smooth transition from Math 1.1 to Math 2.0 is to find an experienced MediaWiki-PHP developer and go through the changes in one or two days in a personal meeting. I’m still in Berlin next week and I’ll move to Tokyo until April. So in general there should be good chances to meet someone in person.

Pkra added a comment.Via ConduitFeb 10 2014, 11:44 AM

Hi,

I just wanted to write in support of physikerwelt's comment above.

It seems very unfortunate that his commits are still not completely reviewed since they will provide major improvements to math rendering on Wikipedia.

I understand if the problem is that it is not just an incremental change but a rather large overhaul of some rather outdated architecture. But it seems that should make it more urgent rather than less.

Unfortunately, physikerwelt's attempt to break up the commit backfired a bit. Perhaps this can motivate one of the experts at WMF to work with physikerwelt to review the entire set of commits.

Of course, we (at MathJax) are happy to help with fixing MathJax issues, both client-side and on mathoid.

Peter.

gerritbot added a comment.Via ConduitFeb 14 2014, 11:42 PM

Change 113480 had a related patch set uploaded by Aaron Schulz:
Update the DB output hash if outdated according to texvc

https://gerrit.wikimedia.org/r/113480

gerritbot added a comment.Via ConduitFeb 14 2014, 11:52 PM

Change 113480 merged by jenkins-bot:
Update the DB output hash if outdated according to texvc

https://gerrit.wikimedia.org/r/113480

gerritbot added a comment.Via ConduitFeb 14 2014, 11:56 PM

Change 113481 had a related patch set uploaded by Aaron Schulz:
Update the DB output hash if outdated according to texvc

https://gerrit.wikimedia.org/r/113481

gerritbot added a comment.Via ConduitFeb 14 2014, 11:57 PM

Change 113481 merged by jenkins-bot:
Update the DB output hash if outdated according to texvc

https://gerrit.wikimedia.org/r/113481

Add Comment